#include "DAQDataFormats/FEBSimulator.h"

#include <stdlib.h>
#include <time.h>

using namespace daqdataformats;

int main(){
  
  int seed;
  FEBSimulator* FrontEndBoards[62];

  srand(time((time_t*)&seed));
  
  
  for(int i=0; i<62; ++i){
    FrontEndBoards[i] = new FEBSimulator(i,0.1);
  }

  for(int j=0; j<1000; ++j){
  for(int i=0; i<62; ++i){
    //    FrontEndBoards[i]->generateNanoSlice();
    FrontEndBoards[i]->generateNanoSlice(j);
    if(FrontEndBoards[i]->nonEmptyNanoSlice()){
      FrontEndBoards[i]->getLastNanoSlice()->print();
    } // endif
  } // endfor i
  }  
} // END MAIN
